Loading...
Searching...
No Matches
mapped_framebuffer.h File Reference

Frame buffer memory mapping support. More...

`#include <stdint.h>`
`#include <vector>`
`#include <libcamera/base/class.h>`
`#include <libcamera/base/flags.h>`
`#include <libcamera/base/span.h>`
`#include <libcamera/framebuffer.h>`
Include dependency graph for mapped_framebuffer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | libcamera::MappedBuffer
| Provide an interface to support managing memory mapped buffers. More...
class | libcamera::MappedFrameBuffer
| Map a FrameBuffer using the MappedBuffer interface. More...

## Namespaces

namespace | libcamera
| Top-level libcamera namespace.

## Detailed Description

Frame buffer memory mapping support.